고객 인보이스 조회 링크 목록
curl --request GET \
--url https://meterengine.com/v1/invoices/{id}/view-links \
--header 'Authorization: Bearer <token>'const url = 'https://meterengine.com/v1/invoices/{id}/view-links';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"invoice_view_links": [
{
"allow_payment_retry": true,
"created_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mode": "<string>",
"revoked_at": "2023-11-07T05:31:56Z"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}인보이스 조회 링크
고객 인보이스 조회 링크 목록
원문 token을 제외한 발급 이력을 조회한다.
GET
/
v1
/
invoices
/
{id}
/
view-links
고객 인보이스 조회 링크 목록
curl --request GET \
--url https://meterengine.com/v1/invoices/{id}/view-links \
--header 'Authorization: Bearer <token>'const url = 'https://meterengine.com/v1/invoices/{id}/view-links';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"invoice_view_links": [
{
"allow_payment_retry": true,
"created_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mode": "<string>",
"revoked_at": "2023-11-07T05:31:56Z"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}